<?php
/*****************************************************************************************
Modification:   Birthday Page version 5.1
Designed For:   XMB 1.9.11

Author:         Darryl
                Lee Jian Yuan

Updated:        Wormhole                        1.9.0    3.0
                Chrno (Michael Fraker)          1.9.3
                FunForum                        1.9.5    3.1
                Xian                            1.9.5    3.2
                Adam                            1.9.5    3.2
                Train (Michael Fraker)          1.9.8    4.0
                XMB Group                       1.9.10   5.0  Beta Testers: Aerosmith, tiramisu
                Robert Chapin (miqrogroove)     1.9.11   5.1

License Note:   This modification is released under the
                General Public License.

*****************************************************************************************/

define('X_SCRIPT', 'bday.php');

require 'header.php';

$versionlong .=	'<br />XMB Birthday Page V5.0'; 

loadtemplates(
'bday',
'bdaypage',
'bdayno'
);

nav($lang['bday_11']);

eval('$css = "'.template('css').'";');
eval('echo "'.template('header').'";');

if ($SETTINGS['bday_status'] == 'off') {
	eval('echo "'.template('misc_feature_notavailable').'";');
	end_time();
	eval('echo "'.template('footer').'";');
	exit;
}

// Create arrays
for($num = 1; $num <= 12; $num++) {
	$month_[$num] = array();
	$list_[$num] = '';
}
$month_names = array('', $lang['textjan'], $lang['textfeb'], $lang['textmar'], $lang['textapr'], $lang['textmay'], $lang['textjun'], $lang['textjul'], $lang['textaug'], $lang['textsep'], $lang['textoct'], $lang['textnov'], $lang['textdec']);

// Set vars
$now = time() + ($timeoffset * 3600) + ($addtime * 3600);
$comma = $happybday = '';
$today = gmdate("m-d", $now);

$query = $db->query("SELECT username, bday FROM ".X_PREFIX."members WHERE bday LIKE '%$today'");
if ($db->num_rows($query) > 0) {
    while ($happy = $db->fetch_array($query)) {
        $bday = explode('-', $happy['bday']);
        $lastdate = gmdate('Y', $now);
        $age = $lastdate - $bday['0'];
        $happybday .= $comma.'<img src="'.$imgdir.'/birthday.gif" border="0" />&nbsp;<a href="member.php?action=viewpro&amp;member='.recodeOut($happy['username']).'"><strong>'.$happy['username'].'</strong></a> ('.$age.')';
        $comma = ', ';
    }
    eval('echo "'.template('bday').'";');
} else {
	eval('echo "'.template('bdayno').'";');
}
$db->free_result($query);

$query = $db->query("SELECT * FROM ".X_PREFIX."members WHERE bday != '0000-00-00'");
while($res2 = $db->fetch_array($query)) {
    $b1 = explode('-', $res2['bday']);
    $res2['username'] = str_replace(' ', '{[/-|-\]}', $res2['username']);
    $thing = $b1[2].' '.$month_names[(int)$b1[1]].' '.$b1[0].' '.$res2['username'];
    $num = (int)$b1[1];
    $month_[$num][] = $thing;
}
$db->free_result($query);

// Display bdays
for($num = 1; $num <= 12; $num++) {
	asort($month_[$num]);
	foreach ($month_[$num] as $index => $bday) {
		$now = time() + ($timeoffset * 3600) + ($addtime * 3600);
		$lastdate = gmdate('Y', $now);
		$bday2 = explode(' ', $bday);
 		$bday2[3] = str_replace('{[/-|-\]}', ' ', $bday2[3]);
		$bday2[4] = $lastdate - $bday2[2];
		$list_[$num] .= bday($bday2[0], $bday2[2], $bday2[3], $bday2[4]);
	}
}

// Define bday-function
function bday($day1,$day2,$day3,$day4) {
	return $day1.', '.$day2.' : <a href="member.php?action=viewpro&amp;member='.recodeOut($day3).'">'.$day3.'</a> ('.$day4.') <br />';
}

eval('echo "'.template('bdaypage').'";');
end_time();
eval('echo "'.template('footer').'";');
exit;
